summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author ponce2011-12-27 09:24:01 +0100
committer Robby Workman2011-12-27 17:15:26 +0100
commit879176ceb32c21073ebaba3d1deb3883afcbe6d7 (patch)
treea6ceed3b5d68091b1a91ed53b64bac3d7a266c72 /misc
parent2c1d653eff702380a3d0b8aa7acb76754ba6b34a (diff)
downloadslackbuilds-879176ceb32c21073ebaba3d1deb3883afcbe6d7.tar.gz
misc/lxappearance-obconf: Added (lxappearance openbox plugin)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/lxappearance-obconf/README6
-rw-r--r--misc/lxappearance-obconf/lxappearance-obconf.SlackBuild82
-rw-r--r--misc/lxappearance-obconf/lxappearance-obconf.info10
-rw-r--r--misc/lxappearance-obconf/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/misc/lxappearance-obconf/README b/misc/lxappearance-obconf/README
new file mode 100644
index 0000000000..2bc16b8306
--- /dev/null
+++ b/misc/lxappearance-obconf/README
@@ -0,0 +1,6 @@
+lxappearance-obconf (lxappearance openbox plugin)
+
+LXAppearance-obconf is an lxappearance plugin that implements openbox settings.
+It's based on obconf code.
+
+Requires openbox and lxappearance
diff --git a/misc/lxappearance-obconf/lxappearance-obconf.SlackBuild b/misc/lxappearance-obconf/lxappearance-obconf.SlackBuild
new file mode 100644
index 0000000000..b405b7a34b
--- /dev/null
+++ b/misc/lxappearance-obconf/lxappearance-obconf.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for lxappearance-obconf
+
+# Written by ponce <matteo.bernardini@gmail.com>
+# based on slackbuilds.org default template
+# generated by Grissiom's sbo-dev-helper
+
+PRGNAM=lxappearance-obconf
+VERSION=${VERSION:-20111224_96aae64}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sh autogen.sh || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING CHANGELOG NEWS README README.transifex TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/lxappearance-obconf/lxappearance-obconf.info b/misc/lxappearance-obconf/lxappearance-obconf.info
new file mode 100644
index 0000000000..4b87842428
--- /dev/null
+++ b/misc/lxappearance-obconf/lxappearance-obconf.info
@@ -0,0 +1,10 @@
+PRGNAM="lxappearance-obconf"
+VERSION="20111224_96aae64"
+HOMEPAGE="http://lxde.org/"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxappearance-obconf-20111224_96aae64.tar.xz"
+MD5SUM="7df541272aeec761f5594e0ef32f4733"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/misc/lxappearance-obconf/slack-desc b/misc/lxappearance-obconf/slack-desc
new file mode 100644
index 0000000000..dab5c7fb27
--- /dev/null
+++ b/misc/lxappearance-obconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxappearance-obconf: lxappearance-obconf (lxappearance openbox plugin)
+lxappearance-obconf:
+lxappearance-obconf: LXAppearance-obconf is an lxappearance plugin that implements
+lxappearance-obconf: openbox settings.
+lxappearance-obconf: It's based on obconf code.
+lxappearance-obconf:
+lxappearance-obconf: homepage: http://lxde.org/
+lxappearance-obconf:
+lxappearance-obconf:
+lxappearance-obconf:
+lxappearance-obconf: